=== debian/changelog ===
budgie-artwork (0.19.0) noble; urgency=medium

  * Update mascots/logos for noble (LP: #2056591)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 23 Mar 2024 17:01:13 +0000

budgie-artwork (0.18.0) noble; urgency=medium

  * Rework our plymouth theme to be based on a spinner

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 25 Feb 2024 10:44:37 +0000
