## budgie-artwork 0.19.0trisquel2

=== Makefile ===
all:
	

clean:
	

uninstall:
	

install:
