=== debian/changelog ===
budgie-artwork (0.19.0trisquel2) ecne; urgency=medium

  * Rebuild for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 04:39:45 +0000
