=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export NO_PNG_PKG_MANGLE=1

%:
	dh $@
#	dh $@ --buildsystem=meson+ninja --> reinstate this when dart-sass is packaged

override_dh_clean:
	rm -rf ./debian/qogirbudgie
	rm -rf ./debian/telabudgie
	dh_clean

override_dh_auto_configure:
#	We have to wait until dart and dart-sass is packaged before being able to compile from source
#	dh_auto_configure -- -Dtheme_name=Pocillo -Ddocumentation=false --prefix="$(CURDIR)/debian/trisquel-budgie-themes"
	mkdir ./debian/qogirbudgie
	cd qogir-theme && bash ./InstallBudgie --tweaks square -n QogirBudgie -d "$(CURDIR)/debian/qogirbudgie"
	mkdir ./debian/telabudgie
	cd tela-icon-theme && bash ./install.sh -n TelaBudgie -d "$(CURDIR)/debian/telabudgie"
