## budgie-artwork 0.19.0trisquel3

=== debian/changelog ===
budgie-artwork (0.19.0trisquel3) ecne; urgency=medium

  * Rebuild for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 02 Nov 2025 07:50:28 +0000
