=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_configure:
 #	We have to wait until dart and dart-sass is packaged before being able to compile from source
-#	dh_auto_configure -- -Dtheme_name=Pocillo -Ddocumentation=false --prefix="$(CURDIR)/debian/trisquel-budgie-themes"
+#	dh_auto_configure -- -Dtheme_name=Pocillo -Ddocumentation=false --prefix="$(CURDIR)/debian/ubuntu-budgie-themes"
 	mkdir ./debian/qogirbudgie
 	cd qogir-theme && bash ./InstallBudgie --tweaks square -n QogirBudgie -d "$(CURDIR)/debian/qogirbudgie"
 	mkdir ./debian/telabudgie
