=== debian/control ===
Source: budgie-artwork
Priority: optional
Section: x11
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Standards-Version: 4.7.0
Vcs-Browser: https://github.com/UbuntuBudgie/budgie-artwork/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/budgie-artwork -b debian
Build-Depends:
 debhelper-compat (=13),
 gtk-update-icon-cache,
 gtk2-engines-murrine,
 gtk2-engines-pixbuf,
 libglib2.0-dev-bin,
 libxml2-utils,
 sassc

Package: budgie-sddm-theme
Architecture: all
Depends:
 fonts-noto-core,
 fonts-noto-ui-core,
 qml6-module-qtmultimedia,
 qml6-module-qtquick,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-effects,
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-window,
 qt6-virtualkeyboard-plugin,
 sddm,
 sddm-theme-elarun,
 ${misc:Depends},
Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-good,
Description: Ubuntu Budgie themed SDDM login screen
 A modern SDDM theme designed for Ubuntu Budgie featuring:
  - Noto Sans fonts
  - Pocillo-dark/Arc-dark color scheme
  - Video background support
  - Virtual keyboard support

Package: budgie-lightdm-theme
Architecture: all
Depends: budgie-lightdm-theme-base, budgie-wallpapers, ${misc:Depends},
Description: LightDM Greeter theme for Ubuntu Budgie
 This is the LightDM greeter theme and configuration
 used for a standalone Ubuntu Budgie installation.
 .
 This package can also be installed on
 other Ubuntu desktops desiring to use this
 theme, but it will replace the LightDM theme.

Package: budgie-lightdm-theme-base
Architecture: all
Breaks: budgie-lightdm-theme (<= 0.6.1), lightdm-gtk-greeter (<= 2.0.2),
Depends: slick-greeter, ${misc:Depends},
Description: LightDM Session for Ubuntu Budgie
 This is the LightDM Session used to launch budgie-desktop
 without needing all of the Ubuntu Budgie styling changes.
 .
 This package allows ubiquity to autologin on self build installations.

Package: plymouth-theme-ubuntu-budgie-logo
Architecture: all
Depends: plymouth, plymouth-theme-spinner, ${misc:Depends},
Provides: plymouth-theme,
Breaks: plymouth (<< 0.9.2-3ubuntu1~),
Description: graphical boot animation and logger - Ubuntu Budgie logo theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default Ubuntu Budgie logo theme.

Package: plymouth-theme-ubuntu-budgie-text
Architecture: all
Depends: plymouth, plymouth-theme-ubuntu-text, ${misc:Depends},
Provides: plymouth-theme,
Replaces: plymouth (<< 0.8.1-1~),
Breaks: plymouth (<< 0.9.2-3ubuntu1~),
Description: graphical boot animation and logger - Ubuntu Budgie text theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default Ubuntu Budgie text theme used when no
 support for a graphical theme is found on your system.

Package: pocillo-icon-theme
Architecture: all
Depends: ${misc:Depends},
Description: Flat but colorful icon-set called Pocillo
 Pocillo is a flat but colorful icon-set based on Tela application icons
 and Qogir panel & symbolic icons. They are designed to be a clear, simple
 and consistent.  Designed to complement all shipped Ubuntu Budgie themes.

Package: ubuntu-budgie-themes
Architecture: all
Depends:
 gnome-themes-extra (>= 3.22.3),
 gtk2-engines-murrine (>= 0.98.1),
 gtk2-engines-pixbuf (>= 2.24.30),
 libgtk-3-common (>= 3.22.24),
 libgtk2.0-common (>= 2.24.30),
 ${misc:Depends},
Description: GTK+3.24 based themes for Ubuntu Budgie
 Package contains GTK+3.24 based themes written specifically for
 Ubuntu Budgie and its desktop environment Budgie Desktop.
 .
 Pocillo is an adaptive GTK+ theme based on Material Design Guidelines.
 Using Arc based colors, the theme is designed to complement the
 Pocillo icon theme.
