## budgie-artwork 0.22.4

=== pocillo-theme/meson_options.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 option(
   'labwc_icons',
   type: 'combo',
-  choices: ['default', 'papirus'],
-  value: 'default',
+  choices: ['papirus', 'qogir'],
+  value: 'qogir',
   description: 'Titlebar icons for labwc',
 )
