=== debian/control ===
--- 
+++ 
@@ -8,8 +8,6 @@
 Build-Depends:
  debhelper-compat (=13),
  gtk-update-icon-cache,
- gtk2-engines-murrine,
- gtk2-engines-pixbuf,
  libglib2.0-dev-bin,
  libxml2-utils,
  sassc
@@ -26,10 +24,9 @@
  qml6-module-qtquick-layouts,
  qml6-module-qtquick-window,
  qt6-virtualkeyboard-plugin,
- sddm,
- sddm-theme-elarun,
  ${misc:Depends},
-Recommends: gstreamer1.0-libav, gstreamer1.0-plugins-good,
+Recommends: sddm, gstreamer1.0-libav, gstreamer1.0-plugins-good
+Provides: sddm-theme
 Description: Ubuntu Budgie themed SDDM login screen
  A modern SDDM theme designed for Ubuntu Budgie featuring:
   - Noto Sans fonts
@@ -50,7 +47,7 @@
 
 Package: budgie-lightdm-theme-base
 Architecture: all
-Breaks: budgie-lightdm-theme (<= 0.6.1), lightdm-gtk-greeter (<= 2.0.2),
+Breaks: budgie-lightdm-theme, lightdm-gtk-greeter,
 Depends: slick-greeter, ${misc:Depends},
 Description: LightDM Session for Ubuntu Budgie
  This is the LightDM Session used to launch budgie-desktop
@@ -62,7 +59,6 @@
 Architecture: all
 Depends: plymouth, plymouth-theme-spinner, ${misc:Depends},
 Provides: plymouth-theme,
-Breaks: plymouth (<< 0.9.2-3ubuntu1~),
 Description: graphical boot animation and logger - Ubuntu Budgie logo theme
  Plymouth is an application that runs very early in the boot process
  (even before the root filesystem is mounted!) that provides a graphical
@@ -74,8 +70,6 @@
 Architecture: all
 Depends: plymouth, plymouth-theme-ubuntu-text, ${misc:Depends},
 Provides: plymouth-theme,
-Replaces: plymouth (<< 0.8.1-1~),
-Breaks: plymouth (<< 0.9.2-3ubuntu1~),
 Description: graphical boot animation and logger - Ubuntu Budgie text theme
  Plymouth is an application that runs very early in the boot process
  (even before the root filesystem is mounted!) that provides a graphical
@@ -95,11 +89,7 @@
 Package: ubuntu-budgie-themes
 Architecture: all
 Depends:
- gnome-themes-extra (>= 3.22.3),
- gtk2-engines-murrine (>= 0.98.1),
- gtk2-engines-pixbuf (>= 2.24.30),
- libgtk-3-common (>= 3.22.24),
- libgtk2.0-common (>= 2.24.30),
+ libgtk-3-common,
  ${misc:Depends},
 Description: GTK+3.24 based themes for Ubuntu Budgie
  Package contains GTK+3.24 based themes written specifically for
