## budgie-artwork 0.22.5

=== debian/changelog ===
budgie-artwork (0.22.5) resolute; urgency=medium

  * Remove unneeded breaks on package budgie-lightdm-theme-base

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 01 Feb 2026 14:33:47 +0000
