=== debian/changelog ===
budgie-artwork (0.22.6) resolute; urgency=medium

  * Translation support for slickSDDM

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 10 Feb 2026 20:20:48 +0000
